Skip to main content

Get NFTs details

Skynet sunsetting by the end of Q1 2025

Sky Mavis is sunsetting Skynet services as part of Ronin's transition to a permissionless ecosystem. For NFT data, token transfers, and blockchain data querying capabilities, please migrate to:

  • Moralis: Comprehensive APIs and real-time webhooks for wallet, token, NFT, and price data.

Overview​

This API allows you to retrieve details of one or more NFTs their identities

Get NFT detail​

To get detail of an NFT, use this get detail of an NFT API

It requires two parameters (in path):

  • contractAddress: collection address
  • tokenId: id of the nft

Example:

curl --location 'https://api-gateway.skymavis.com/skynet/ronin/web3/v2/collections/0x32950db2a7164ae833121501c797d79e7b79d74c/tokens/10037309' \
--header 'Accept: application/json' \
--header 'X-API-KEY: <YOUR_API_KEY>'

Response:

{
"result": {
"tokenId": "10037309",
"contractAddress": "0x32950db2a7164ae833121501c797d79e7b79d74c",
"name": "Axie",
"symbol": "AXIE",
"standard": "ERC721",
"tokenUri": "https://metadata.axieinfinity.com/axie/10037309",
"metadata": {
"external_url": "https://app.axieinfinity.com/marketplace/axies/10037309",
"genes": "0x20000000000001000241209083080000000100101080840800010000108040040001001008810408000100102081030600010010288144060001001010808404",
"id": 10037309,
"image": "https://axiecdn.axieinfinity.com/axies/10037309/axie/axie-full-transparent.png",
"name": "Axie #10037309",
"properties": {
"axie_id": 10037309,
"back_id": "back-anemone",
"birthdate": 1638648628,
"bodyshape": "normal",
"breed_count": 3,
"class": "aquatic",
"ears_id": "ears-nimo",
"eyes_id": "eyes-clear",
"horn_id": "horn-anemone",
"matron_id": 9832456,
"mouth_id": "mouth-goda",
"num_japan": 0,
"num_mystic": 0,
"num_shiny": 0,
"num_summer": 0,
"num_xmas": 0,
"primary_color": "aquatic-02",
"pureness": 5,
"purity": 85,
"sire_id": 9836372,
"stage": 4,
"tail_id": "tail-nimo",
"title": ""
}
}
}
}

Get NFT details​

To get detail of a multiple NFTs, use this get details of multiple NFTs API

It requires a json array of tokenIds in request body.

Example:

curl --location 'https://api-gateway.skymavis.com/skynet/ronin/web3/v2/collections/0x32950db2a7164ae833121501c797d79e7b79d74c/tokens' \
--header 'Accept: application/json' \
--header 'X-API-KEY: <YOUR_API_KEY>' \
--header 'Content-Type: application/json' \
--data '{
"tokenIds": ["10037308", "10037309"]
}'

Response:

{
"result": {
"items": [
{
"tokenId": "10037308",
"contractAddress": "0x32950db2a7164ae833121501c797d79e7b79d74c",
"name": "Axie",
"symbol": "AXIE",
"standard": "ERC721",
"tokenUri": "https://metadata.axieinfinity.com/axie/10037308",
"metadata": {
"external_url": "https://app.axieinfinity.com/marketplace/axies/10037308",
"genes": "0x18000000000001000301a051040c000000010014106081020001000c106083040001000c082043020001000c2801050c0001000c182083040001000c3061830c",
"id": 10037308,
"image": "https://axiecdn.axieinfinity.com/axies/10037308/axie/axie-full-transparent.png",
"name": "Axie #10037308",
"properties": {
"axie_id": 10037308,
"back_id": "back-bidens",
"birthdate": 1638648628,
"bodyshape": "normal",
"breed_count": 0,
"class": "plant",
"ears_id": "ears-leafy",
"eyes_id": "eyes-tricky",
"horn_id": "horn-cactus",
"matron_id": 9826680,
"mouth_id": "mouth-zigzag",
"num_japan": 0,
"num_mystic": 0,
"num_shiny": 0,
"num_summer": 0,
"num_xmas": 0,
"primary_color": "plant-04",
"pureness": 5,
"purity": 76,
"sire_id": 9826727,
"stage": 4,
"tail_id": "tail-hot-butt",
"title": ""
}
}
},
{
"tokenId": "10037309",
"contractAddress": "0x32950db2a7164ae833121501c797d79e7b79d74c",
"name": "Axie",
"symbol": "AXIE",
"standard": "ERC721",
"tokenUri": "https://metadata.axieinfinity.com/axie/10037309",
"metadata": {
"external_url": "https://app.axieinfinity.com/marketplace/axies/10037309",
"genes": "0x20000000000001000241209083080000000100101080840800010000108040040001001008810408000100102081030600010010288144060001001010808404",
"id": 10037309,
"image": "https://axiecdn.axieinfinity.com/axies/10037309/axie/axie-full-transparent.png",
"name": "Axie #10037309",
"properties": {
"axie_id": 10037309,
"back_id": "back-anemone",
"birthdate": 1638648628,
"bodyshape": "normal",
"breed_count": 3,
"class": "aquatic",
"ears_id": "ears-nimo",
"eyes_id": "eyes-clear",
"horn_id": "horn-anemone",
"matron_id": 9832456,
"mouth_id": "mouth-goda",
"num_japan": 0,
"num_mystic": 0,
"num_shiny": 0,
"num_summer": 0,
"num_xmas": 0,
"primary_color": "aquatic-02",
"pureness": 5,
"purity": 85,
"sire_id": 9836372,
"stage": 4,
"tail_id": "tail-nimo",
"title": ""
}
}
}
]
}
}

The response returned from the API may vary in the future as the state of NFTs/Ownership/Collections can change.